- Main Page
- Modules
- Classes
- Files
- Directories
- Related Pages
- Examples

- Search for |

# axis2_async_result.h File Reference

`#include <axis2_defines.h>`
`#include <axutil_env.h>`
`#include <axis2_msg_ctx.h>`
`#include <axiom_soap_envelope.h>`

Go to the source code of this file.

## Typedefs
typedef struct axis2_async_result | axis2_async_result_t
## Functions
AXIS2_EXTERN axiom_soap_envelope_t * | axis2_async_result_get_envelope (axis2_async_result_t *async_result, const axutil_env_t *env)
AXIS2_EXTERN axis2_msg_ctx_t * | axis2_async_result_get_result (axis2_async_result_t *async_result, const axutil_env_t *env)
AXIS2_EXTERN void | axis2_async_result_free (axis2_async_result_t *async_result, const axutil_env_t *env)
AXIS2_EXTERN axis2_async_result_t * | axis2_async_result_create (const axutil_env_t *env, axis2_msg_ctx_t *result)

## Detailed Description